PropertyDefinitions (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.cql3.statements

## Class PropertyDefinitions

- java.lang.Object
- - org.apache.cassandra.cql3.statements.PropertyDefinitions

- Direct Known Subclasses:
    CFPropDefs, IndexPropDefs, KSPropDefs

      public class PropertyDefinitions
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.slf4j.Logger` | `logger`
    `protected java.util.Map<java.lang.String,java.lang.Object>` | `properties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyDefinitions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProperty(java.lang.String name, java.util.Map<java.lang.String,java.lang.String> value)`
    `void` | `addProperty(java.lang.String name, java.lang.String value)`
    `java.lang.Boolean` | `getBoolean(java.lang.String key, java.lang.Boolean defaultValue)`
    `java.lang.Double` | `getDouble(java.lang.String key, java.lang.Double defaultValue)`
    `java.lang.Integer` | `getInt(java.lang.String key, java.lang.Integer defaultValue)`
    `protected java.util.Map<java.lang.String,java.lang.String>` | `getMap(java.lang.String name)`
    `protected java.lang.String` | `getSimple(java.lang.String name)`
    `java.lang.String` | `getString(java.lang.String key, java.lang.String defaultValue)`
    `java.lang.Boolean` | `hasProperty(java.lang.String name)`
    `static java.lang.Integer` | `toInt(java.lang.String key, java.lang.String value, java.lang.Integer defaultValue)`
    `void` | `validate(java.util.Set<java.lang.String> keywords, java.util.Set<java.lang.String> obsolete)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.slf4j.Logger logger

    - #### properties

          protected final java.util.Map<java.lang.String,java.lang.Object> properties

  - ### Constructor Detail

    - #### PropertyDefinitions

          public PropertyDefinitions()

  - ### Method Detail

    - #### addProperty

          public void addProperty(java.lang.String name,
                         java.lang.String value)
                           throws SyntaxException

      Throws:
        `SyntaxException`

    - #### addProperty

          public void addProperty(java.lang.String name,
                         java.util.Map<java.lang.String,java.lang.String> value)
                           throws SyntaxException

      Throws:
        `SyntaxException`

    - #### validate

          public void validate(java.util.Set<java.lang.String> keywords,
                      java.util.Set<java.lang.String> obsolete)
                        throws SyntaxException

      Throws:
        `SyntaxException`

    - #### getSimple

          protected java.lang.String getSimple(java.lang.String name)
                                        throws SyntaxException

      Throws:
        `SyntaxException`

    - #### getMap

          protected java.util.Map<java.lang.String,java.lang.String> getMap(java.lang.String name)
                                                                     throws SyntaxException

      Throws:
        `SyntaxException`

    - #### hasProperty

          public java.lang.Boolean hasProperty(java.lang.String name)

    - #### getString

          public java.lang.String getString(java.lang.String key,
                                   java.lang.String defaultValue)
                                     throws SyntaxException

      Throws:
        `SyntaxException`

    - #### getBoolean

          public java.lang.Boolean getBoolean(java.lang.String key,
                                     java.lang.Boolean defaultValue)
                                       throws SyntaxException

      Throws:
        `SyntaxException`

    - #### getDouble

          public java.lang.Double getDouble(java.lang.String key,
                                   java.lang.Double defaultValue)
                                     throws SyntaxException

      Throws:
        `SyntaxException`

    - #### getInt

          public java.lang.Integer getInt(java.lang.String key,
                                 java.lang.Integer defaultValue)
                                   throws SyntaxException

      Throws:
        `SyntaxException`

    - #### toInt

          public static java.lang.Integer toInt(java.lang.String key,
                                java.lang.String value,
                                java.lang.Integer defaultValue)
                                         throws SyntaxException

      Throws:
        `SyntaxException`

Copyright © 2014 The Apache Software Foundation